Name:           btawm
Version:        0.3.1
Release:        3%{?dist}
Summary:        A small window manager

Group:          User Interface/Desktops
License:        BSD
#URL:            
Source0:        btawm-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  xorg-x11-proto-devel xorg-x11-xkb-utils-devel libX11-devel libXext-devel
Requires:       xterm

%description
A small window manager. Mostly keyboard driven, so you don't need to leave
the keyboard to reach for the mouse when you want to position or generally
manage your windows.
You have the possibility to easily extend windows outside of the screen;
this is a feature that is missing from a lot of modern window managers.

%prep
%setup -q -n btawm


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -m 755 -d ${RPM_BUILD_ROOT}/usr/share/xsessions/
install -m 755 -t ${RPM_BUILD_ROOT}/usr/share/xsessions/ btawm.desktop
install -m 755 -d ${RPM_BUILD_ROOT}/etc/
install -m 755 -t ${RPM_BUILD_ROOT}/etc btawmrc

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog Changes.kja3 NEWS README
/usr/bin/btawm
/usr/share/xsessions/btawm.desktop
/etc/btawmrc

%changelog
* Mon May 19 2014 Bussi Andrea <bussi@mfn.unipmn.it> - 0.3.1-3
- Added the build requirements for the X11 libraries

* Tue Mar 04 2014 Bussi Andrea <bussi@mfn.unipmn.it> - 0.3.1-2
- increased the default number of virtual screen to 8

* Sun Sep 30 2012 Bussi Andrea <bta@di.unipmn.it> - 0.3.0-1
- rebuilt for version 0.3.0

